Index: explore/beta/sasfit_compare_new.py
===================================================================
--- explore/beta/sasfit_compare_new.py	(revision b6422c70e7f1518835a0b3c12f01bccb859a6999)
+++ explore/beta/sasfit_compare_new.py	(revision d8b7efa4516dba1ad4fb9784db2643e054d1321f)
@@ -595,5 +595,5 @@
 #       this one is only used locally for "actual"
         )
-    target = sasmodels_theory(q, model, effective_radius_mode=0, structure_factor_mode=1, **pars)
+    target = sasmodels_theory(q, model, effective_radius_type=0, structure_factor_type=1, **pars)
     actual = sphere_r(q, norm='sasview', **pars)
     title = " ".join(("sasmodels", model, pd_type))
@@ -615,5 +615,5 @@
         # equivalent average sphere radius for local "actual" to match what sasview uses, use None to compute average outer radius here,
 
-    target = sasmodels_theory(q, model, effective_radius_mode=0, structure_factor_mode=1, **pars)
+    target = sasmodels_theory(q, model, effective_radius_type=0, structure_factor_type=1, **pars)
     actual = vesicle_pe(q, norm='sasview', **pars)
     title = " ".join(("sasmodels", model, pd_type))
@@ -635,5 +635,5 @@
         radius_effective=40.687)  
         # equivalent average sphere radius for local "actual" to match what sasview uses
-    target = sasmodels_theory(q, model, effective_radius_mode=0, structure_factor_mode=1, **pars)
+    target = sasmodels_theory(q, model, effective_radius_type=0, structure_factor_type=1, **pars)
     actual = hollow_cylinder_pe(q, norm='sasview', **pars)
 # RKH monodisp was OK,    actual = hollow_cylinder_theta(q,radius=20, thickness=10, length=80, sld=4, sld_solvent=1 )
@@ -656,5 +656,5 @@
 # if change radius_effective to some other value, the S(Q) from sasview does not agree
         )
-    target = sasmodels_theory(q, model, effective_radius_mode=0, structure_factor_mode=1, **pars)
+    target = sasmodels_theory(q, model, effective_radius_type=0, structure_factor_type=1, **pars)
     actual = ellipsoid_pe(q, norm='sasview', **pars)
 # RKH test       actual = ellipsoid_theta(q, radius_polar=20, radius_equatorial=400, sld=4, sld_solvent=1, volfraction=0.15, radius_effective=270.)
Index: sasmodels/core.py
===================================================================
--- sasmodels/core.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
+++ sasmodels/core.py	(revision d8b7efa4516dba1ad4fb9784db2643e054d1321f)
@@ -381,5 +381,5 @@
     target = ("sld sld_solvent radius length theta phi"
               " radius_effective volfraction "
-              " structure_factor_mode radius_effective_mode"
+              " structure_factor_type effective_radius_type"
               " A_sld A_sld_solvent A_radius").split()
     assert target == actual, "%s != %s"%(target, actual)
Index: sasmodels/direct_model.py
===================================================================
--- sasmodels/direct_model.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
+++ sasmodels/direct_model.py	(revision d8b7efa4516dba1ad4fb9784db2643e054d1321f)
@@ -71,5 +71,5 @@
     For solid objects V_shell is equal to V_form and the volume ratio is 1.
 
-    Use parameter *radius_effective_mode* to select the effective radius
+    Use parameter *radius_effective_type* to select the effective radius
     calculation.
     """
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
+++ sasmodels/models/cylinder.py	(revision d8b7efa4516dba1ad4fb9784db2643e054d1321f)
@@ -219,12 +219,12 @@
 cyl_vol = calc_volume(parameters[2][2], parameters[3][2])
 tests.extend([
-    ({'effective_radius_mode': 0}, 0.1, None, None, r_effs[0], cyl_vol, 1.0),
-    ({'effective_radius_mode': 1}, 0.1, None, None, r_effs[1], None, None),
-    ({'effective_radius_mode': 2}, 0.1, None, None, r_effs[2], None, None),
-    ({'effective_radius_mode': 3}, 0.1, None, None, r_effs[3], None, None),
-    ({'effective_radius_mode': 4}, 0.1, None, None, r_effs[4], None, None),
-    ({'effective_radius_mode': 5}, 0.1, None, None, r_effs[5], None, None),
-    ({'effective_radius_mode': 6}, 0.1, None, None, r_effs[6], None, None),
-    ({'effective_radius_mode': 7}, 0.1, None, None, r_effs[7], None, None),
+    ({'effective_radius_type': 0}, 0.1, None, None, r_effs[0], cyl_vol, 1.0),
+    ({'effective_radius_type': 1}, 0.1, None, None, r_effs[1], None, None),
+    ({'effective_radius_type': 2}, 0.1, None, None, r_effs[2], None, None),
+    ({'effective_radius_type': 3}, 0.1, None, None, r_effs[3], None, None),
+    ({'effective_radius_type': 4}, 0.1, None, None, r_effs[4], None, None),
+    ({'effective_radius_type': 5}, 0.1, None, None, r_effs[5], None, None),
+    ({'effective_radius_type': 6}, 0.1, None, None, r_effs[6], None, None),
+    ({'effective_radius_type': 7}, 0.1, None, None, r_effs[7], None, None),
 ])
 del r_effs, cyl_vol
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
+++ sasmodels/models/sphere.py	(revision d8b7efa4516dba1ad4fb9784db2643e054d1321f)
@@ -101,10 +101,10 @@
        0.1, 0.7940350343881906], # this is current value, not verified elsewhere yet
 	[{"@S": "hardsphere",          # hard sphere structure factor
-     "structure_factor_mode": 1,  # decoupling approximation
-     "effective_radius_mode": 1   # equivalent sphere
+     "structure_factor_type": 1,  # decoupling approximation
+     "effective_radius_type": 1   # equivalent sphere
 	 }, 0.1, 0.7940350343881906],
 	[{"@S": "hardsphere",          # hard sphere structure factor
-     "structure_factor_mode": 2,  #  -  WHY same result?
-     "effective_radius_mode": 2   # 
+     "structure_factor_type": 2,  #  -  WHY same result?
+     "effective_radius_type": 2   # 
 	 }, 0.1, 0.7940350343881906]
 ]
Index: sasmodels/product.py
===================================================================
--- sasmodels/product.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
+++ sasmodels/product.py	(revision d8b7efa4516dba1ad4fb9784db2643e054d1321f)
@@ -37,6 +37,6 @@
 #]
 
-STRUCTURE_MODE_ID = "structure_factor_mode"
-RADIUS_MODE_ID = "effective_radius_mode"
+STRUCTURE_MODE_ID = "structure_factor_type"
+RADIUS_MODE_ID = "effective_radius_type"
 RADIUS_ID = "radius_effective"
 VOLFRAC_ID = "volfraction"
@@ -44,5 +44,5 @@
     # type: (ModelInfo) -> List[Parameter]
     """
-    Create parameters for structure_factor_mode and radius_effective_mode.
+    Create parameters for structure_factor_type and radius_effective_type.
     """
     pars = []
